<?php
define('NTLCMS', 1);
$module = 'myspam';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if (!$active){
header('Location: '.URL);
$_SESSION['fail'] = 'Вы не авторизированы!';
exit;
}
################################################################################
echo '<div class="title"><b>'.razd.' Мои рассылки</b></div>';
################################################################################

$k_post = DB :: run() -> querySingle("select count(`id`) from `spam` where `login` = ?", array($ulogin));

$k_page = k_page($k_post, $onpage);
$page = page($k_page);
$start = $onpage * $page - $onpage;

$sql = DB :: run() -> query("select * from `spam` where `login` = ? order by `id` desc limit ".$start.", ".$onpage, array($ulogin));

if ($k_post == 0){
echo '<div class="post"><center><i class="fa fa-close fa-fw"></i> У вас не было рассылок!</center></div>';
} else {
while ($row = $sql -> fetch(PDO::FETCH_OBJ)){

if ($row -> status == '0'){
$status = '<span style="color:green">Выполнено</span>';
} else {
$status = '<span style="color:red">Не выполнено</span>';
}

echo '<div class="menu"><i class="fa fa-calendar fa-fw"></i> Дата: '.date('d.m.Y H:i', $row -> date).'<br/>
<i class="fa fa-cogs fa-fw"></i> Статус: '.$status.'<br/>
<i class="fa fa-file-text-o fa-fw"></i> Тема: '.checkout($row -> tema).'<br/>
<i class="fa fa-file-text-o fa-fw"></i> Текст: '.outtext($row -> text, 1 ,1 ,1).'</div>';
}

if ($k_page > 1) navigation(URL.'/mymailing?', $k_page, $page);
}

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/mailing">Рассылка писем</a></div>';


include ('../system/foot.php');
?>